Availability
Disc Brake Kits
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,364.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Red, 2 in. Drop Spindle, 5 x 4.75 in., Kit
Part Number: LEB-RFC1003N6B2X
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,364.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,549.95
Rebate Expires: 10/31/2026
Disc Brake Kit, MaxGrip Lite Disc Brake Conversion, Front, Cross-Drilled/Slotted Rotors, Red Calipers, GM, Kit
Part Number: LEB-RFC1013SMX
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,549.95
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,624.95
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Manual, Slotted/Drilled Rotors, Aluminum Calipers, Red Powdercoated, 5 x 4.75 in. Bolt Pattern, Buick, Chevy, Kit
Part Number: LEB-RFC1008SMX
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,624.95
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,824.99
Rebate Expires: 10/31/2026
Brake Conversion Kit, MaxGrip Lite D11, 4 Piston Black Calipers, Ford, Mustang, 1965-1966, Manual Transmission, Kit
Part Number: LEB-S0121
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,824.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,633.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Drilled and Slotted Rotors, Black Powdercoated Calipers, 5 x 4.50 in. Bolt Pattern, Kit
Part Number: LEB-S0114
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,633.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,729.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Drilled and Slotted Rotors, Black Powdercoated Calipers, 5 x 4.50 in. Bolt Pattern, Kit
Part Number: LEB-S0112
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,729.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,364.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Red, 2 in. Drop Spindle, 5 x 4.75 in., Kit
Part Number: LEB-RFC1003N6B4X
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,364.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,639.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front MaxGrip XDS Conversion, Power Assist, Drilled/Slotted Rotors, Red Calipers, Ford, Mercury, Automatic Transmission, Kit
Part Number: LEB-S0099
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,639.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,354.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Cross-Drilled/Slotted Rotors, Vented, Cast Iron Calipers, Red Powdercoated, Stock Ride Height, 5 x 4.75 in., Kit
Part Number: LEB-RFC1002N6B4X
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,354.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,639.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front MaxGrip XDS Conversion, Power Assist, Drilled/Slotted Rotors, Black Calipers, Ford, Mercury, Automatic Transmission, Kit
Part Number: LEB-S0100
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,639.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,364.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Red, 2 in. Drop Spindle, 5 x 4.75 in., Kit
Part Number: LEB-RFC1003F6B4X
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,364.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,650.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front, MaxGrip XDS Conversion, Manual/Power Assist, Drilled/Slotted Rotors, Red Calipers, Dodge, Plymouth, Kit
Part Number: LEB-RFC2004SMX
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,650.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,823.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front, MaxGrip XDS Conversion, Manual, Drilled/Slotted Rotors, Red Calipers, Dodge, Plymouth, Kit
Part Number: LEB-RFC2005-C05X
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,823.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,464.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Manual, Drilled and Slotted Rotors, Red Powdercoated Calipers, 5 x 4.50 in. Bolt Pattern, Kit
Part Number: LEB-RFC2003-C05X
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,464.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,639.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front MaxGrip XDS Conversion, Power Assist, Drilled/Slotted Rotors, Red Calipers, Ford, Mercury, Manual Transmission, Kit
Part Number: LEB-S0097
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,639.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,359.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Manual, Slotted, Drilled Rotors, Cast Iron Calipers, Red Powdercoated, 5 x 4.5 in. Bolt Pattern, Ford, Mercury, Kit
Part Number: LEB-RFC0001-4C7X
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,359.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,597.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Drilled and Slotted Rotors, Black Powdercoated Calipers, 5 x 4.50 in. Bolt Pattern, Kit
Part Number: LEB-S0116
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,597.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,549.95
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Manual, Slotted/Drilled Rotors, Aluminum Calipers, Grey Powdercoated, 5 x 4.75 in. Bolt Pattern, Buick, Chevy, Kit
Part Number: LEB-FC1008SMX
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,549.95
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,639.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front MaxGrip XDS Conversion, Power Assist, Drilled/Slotted Rotors, Black Calipers, Ford, Mercury, Manual Transmission, Kit
Part Number: LEB-S0098
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,639.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,534.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front MaxGrip XDS Conversion, Power Assist, Drilled/Slotted Rotors, Red Calipers, Ford, Mustang, 1964-1965, Kit
Part Number: LEB-S0093
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,534.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
Disk Brake Kit DP31110C+SG2FC7147+DP31110C+SG
Part Number: EBC-S25K1003
Not Yet Reviewed
Estimated Ship Date: Jan 11, 2027 if ordered today
Estimated Ship Date: Jan 11, 2027 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,624.95
Rebate Expires: 10/31/2026
Disc Brake Kit, MaxGrip Lite Disc Brake Conversion, Front, Cross-Drilled/Slotted Rotors, Gray Calipers, 2 in. Drop Spindles, GM, Kit
Part Number: LEB-FC1009SMX
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,624.95
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,369.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Zinc Plated, Chrysler, Dodge, Plymouth, Ki
Part Number: LEB-FC2003-C05PX
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,369.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,624.99
Rebate Expires: 10/31/2026
Brake Conversion Kit, MaxGrip Lite D11 4 Piston Man KT w/ Cast Iron M/C Adj Pro Valve Red PC; Mustang 67-69
Part Number: LEB-RFC0006-405X
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,624.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,699.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front, MaxGrip XDS Conversion, Power Assist, Drilled/Slotted Rotors, Natural Anodized Calipers, Chrysler, Dodge, Plymouth, Kit
Part Number: LEB-FC2006-C05PX
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,699.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
Truck / SUV
Jeep®
Restoration
Stock Replacement
Late Model Muscle
Tools
Gifts, Clothing, & More
Circle Track
Street Rod
Powersports
Paint & Body
Marine
Jr Dragster